org.apache.olingo.odata2.annotation.processor.ref.model

## Class Team

- java.lang.Object
- - org.apache.olingo.odata2.annotation.processor.ref.model.RefBase
  - - org.apache.olingo.odata2.annotation.processor.ref.model.Team

-     public class Team
      extends RefBase

- - ### Field Summary

    - ### Fields inherited from class org.apache.olingo.odata2.annotation.processor.ref.model.RefBase

      `id, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Team()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEmployee(Employee e)`
    `boolean` | `equals(Object obj)`
    `List<Employee>` | `getEmployees()`
    `Team` | `getSubTeam()`
    `int` | `hashCode()`
    `Boolean` | `isScrumTeam()`
    `void` | `setScrumTeam(Boolean isScrumTeam)`
    `void` | `setSubTeam(Team subTeam)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.olingo.odata2.annotation.processor.ref.model.RefBase

      `getId, getName, setId, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Team

          public Team()

  - ### Method Detail

    - #### isScrumTeam

          public Boolean isScrumTeam()

    - #### setScrumTeam

          public void setScrumTeam(Boolean isScrumTeam)

    - #### addEmployee

          public void addEmployee(Employee e)

    - #### getEmployees

          public List<Employee> getEmployees()

    - #### setSubTeam

          public void setSubTeam(Team subTeam)

    - #### getSubTeam

          public Team getSubTeam()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `RefBase`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `RefBase`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.